Bug 869651 - 3.2 - Add a method to reconfigure without init.d parameter
3.2 - Add a method to reconfigure without init.d parameter
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
Unspecified Unspecified
urgent Severity urgent
: ---
: 3.2.0
Assigned To: Alon Bar-Lev
Ido Begun
infra
: Improvement, ZStream
Depends On:
Blocks: bootstrap-rewrite 879942
  Show dependency treegraph
 
Reported: 2012-10-24 09:39 EDT by Alon Bar-Lev
Modified: 2016-02-10 14:14 EST (History)
11 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-7.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dyasny: Triaged+


Attachments (Terms of Use)

  None (edit)
Description Alon Bar-Lev 2012-10-24 09:39:14 EDT
commit dd0581dfa3086135bdd3b91c762137bf953f256b
Author: Alon Bar-Lev <alonbl@redhat.com>
Date:   Mon Oct 22 16:16:04 2012 +0200

    packaging: add a method to reconfigure without init.d parameter
    
    systemd does not support additional service commands[1], while there can
    be argue if this is good or bad this is the fact.
    
    CURRENT IMPLEMENTATION
    
    Current bootstrap implementation uses hybrid approach while trying to
    pass "reconfigure" to init.d, and when fails, access the init.d script
    directly.
    
    This is highly none expected behavior.
    
    NEW IMPLEMENTATION
    
    Add /var/lib/vdsm/reconfigure file, if exists perform reconfiguration.
    
    This will work with any init.d system without issues.
    
    The service will be reconfigure at next start.
    
    ** We cannot remove the code from the current vdsm-bootstrap, so it able
       to reconfigure previous versions of vdsm.
    
    [1] http://www.freedesktop.org/wiki/Software/systemd/Incompatibilities
    
    Change-Id: Id4a8d5939fbefc6d3857d8083dfcf2180b9ba110
    Signed-off-by: Alon Bar-Lev <alonbl@redhat.com>
    Reviewed-on: http://gerrit.ovirt.org/8725
    Reviewed-by: Zhou Zheng Sheng <zhshzhou@linux.vnet.ibm.com>
    Reviewed-by: Juan Hernandez <juan.hernandez@redhat.com>
    Reviewed-by: Adam Litke <agl@us.ibm.com>
    Reviewed-by: Dan Kenigsberg <danken@redhat.com>
Comment 9 Alon Bar-Lev 2012-12-01 15:42:14 EST
modified per upstream rebase.
Comment 10 Stephen Gordon 2012-12-20 12:08:33 EST
Setting requires_doc_text-, I'm assuming that if users need to reconfigure VDSM they should either be re-installing the machine from the management interface or contacting GSS,
Comment 12 Ido Begun 2013-03-24 06:20:45 EDT
OK - SF11

Creating /var/lib/vdsm/reconfigure does indeed cause VDSM to reconfigure on next startup.
Comment 13 Itamar Heim 2013-06-11 05:06:47 EDT
3.2 has been released
Comment 14 Itamar Heim 2013-06-11 05:06:50 EDT
3.2 has been released
Comment 15 Itamar Heim 2013-06-11 05:06:50 EDT
3.2 has been released
Comment 16 Itamar Heim 2013-06-11 05:06:50 EDT
3.2 has been released
Comment 17 Itamar Heim 2013-06-11 05:35:31 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.